Skip to main content

List Extras

Retrieve a paginated list of the supplier's extras catalog.

Endpointโ€‹

GET /v1/extras

Authenticationโ€‹

Requires an API key with the products:read scope.

Query Parametersโ€‹

ParameterTypeDefaultDescription
pageinteger1Page number
per_pageinteger15Items per page (max 100)
searchstring-Search by extra name
activeboolean-Filter by active state

Responseโ€‹

Success (200 OK)โ€‹

{
"data": [
{
"id": 3,
"name": "Helmet",
"description": "Certified bike helmet, all sizes",
"price": 5.0,
"charge_per": "once",
"max_quantity": 1,
"rental_applies_to": "all",
"experience_applies_to": "none",
"product_ids": [],
"category_ids": [],
"experience_ids": [],
"stock_quantity": null,
"active": true,
"created_at": "2026-06-10T21:30:00+00:00",
"updated_at": "2026-06-10T21:30:00+00:00"
}
],
"meta": { "request_id": "...", "timestamp": "...", "current_page": 1, "total": 1 },
"links": {}
}

Exampleโ€‹

curl "https://app.equipdash.com/api/v1/extras?active=true" \
-H "Authorization: Bearer YOUR_API_KEY"